> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns drift trend for the model's column. The endpoint is behind the old backend's auth mechanism.



## OpenAPI

````yaml /api-specs/cloud/dmm.yaml get /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend
openapi: 3.0.3
info:
  title: Domino Model Monitor API
  description: The API for programmatic access to Domino Model Monitor.
  version: 1.0.1
servers: []
security: []
tags:
  - name: DatasetJob
    description: All Dataset Job related operations.
  - name: DataSource
    description: All data source related operations.
  - name: Model
    description: All Model related operations.
  - name: ModelTag
    description: Operations related to the management of model tags.
  - name: ModelDrift
    description: All Model drift related operations.
  - name: ModelQuality
    description: All Model quality related operations.
  - name: Workbench
    description: All Workbench related operations.
  - name: DefaultSettings
    description: Operations related to drift and model quality defaults setting in DMM.
  - name: UserSettings
    description: Operations related to configuring user related settings for DMM.
  - name: Notification
    description: >-
      Operations related to configuring notification channel config and alert
      recipients for the model.
  - name: Other
    description: Other miscellaneous operations.
  - name: Scheduler
    description: All scheduler related operations
paths:
  /model-monitor/v2/api/model/{model_id}/{column_id}/drift-trend:
    summary: >
      Returns drift trend for the model's column. The endpoint is behind the old
      backend's auth mechanism.
    parameters:
      - in: path
        name: model_id
        schema:
          type: string
        required: true
        description: Identifier for the model for the trends
      - in: path
        name: column_id
        schema:
          type: string
        required: true
        description: Identifier for the column.
      - in: query
        name: startDate
        schema:
          type: number
        required: true
        description: Start time for the data used for the query.
      - in: query
        name: endDate
        schema:
          type: number
        required: true
        description: End time for the data used for the query.
      - in: query
        name: algorithm
        schema:
          type: string
        required: true
        description: Algorithm function used for the check query
    get:
      tags:
        - ModelDrift
      summary: >-
        Returns drift trend for the model's column. The endpoint is behind the
        old backend's auth mechanism.
      operationId: getModelColumnDriftTrend
      responses:
        '200':
          description: The drift trend fetch query was done successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: array
                  items:
                    type: number
        '400':
          description: Bad request input data.
        '403':
          description: Forbidden. The endpoint enforces permissions.
        '500':
          description: Internal server error, check server logs.
      security:
        - DominoApiKeyAuth: []
        - DmmApiKeyAuth: []
        - cookieAuth: []
components:
  securitySchemes:
    DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION

````